import { r as requestDataPromise, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { useSSRContext, ref, mergeProps, unref, withCtx, createTextVNode, toDisplayString, createVNode } from 'vue';
import { ssrRenderAttrs, ssrRenderList, ssrInterpolate, ssrRenderComponent, ssrRenderAttr } from 'vue/server-renderer';
import { _ as _export_sfc } from './server.mjs';

const _sfc_main$1 = {
  __name: "HotNews",
  __ssrInlineRender: true,
  setup(__props) {
    const hotNewsList = ref([]);
    async function getPageData() {
      const mkdata = await requestDataPromise("/web/getWebsiteArticlett", {
        method: "GET",
        query: {
          "pageSize": 14,
          "level": 4,
          "id": 0
        }
      });
      if (mkdata.code == 200) {
        hotNewsList.value = mkdata.data;
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u6700\u65B0\u8D44\u8BAF");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getPageData();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "hotList" }, _attrs))} data-v-83a8ffb1><div class="title" data-v-83a8ffb1><h4 data-v-83a8ffb1> \u6700\u65B0\u8D44\u8BAF </h4></div><ul class="messageList" data-v-83a8ffb1><!--[-->`);
      ssrRenderList(unref(hotNewsList), (item, index) => {
        _push(`<li data-v-83a8ffb1><span data-v-83a8ffb1>${ssrInterpolate(index + 1)}</span>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: item.linkurl,
          style: item.islink == 1 ? null : { display: "none" },
          title: item.title
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`${ssrInterpolate(item.title)}`);
            } else {
              return [
                createTextVNode(toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        if (item.islink == 0) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/${item.pinyin}/${item.id}.html`,
            title: item.title
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.title)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</li>`);
      });
      _push(`<!--]--></ul></div>`);
    };
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/detail/HotNews.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : undefined;
};
const __nuxt_component_4 = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-83a8ffb1"]]);
const _sfc_main = {
  __name: "HotNews2",
  __ssrInlineRender: true,
  setup(__props) {
    const hotNewsList = ref([]);
    async function getPageData() {
      const mkdata = await requestDataPromise("/web/getWebsiteArticlett", {
        method: "GET",
        query: {
          "pageSize": 30,
          "level": 5,
          "placeid": 0,
          "id": 0
        }
      });
      if (mkdata.code == 200) {
        for (let item of mkdata.data) {
          if (item.imgurl) {
            hotNewsList.value.push(item);
            if (hotNewsList.value.length == 5) {
              break;
            }
          }
        }
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u70ED\u70B9\u7CBE\u9009");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getPageData();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_2;
      _push(`<!--[--><div class="title" data-v-0ef727cf><h4 data-v-0ef727cf> \u70ED\u70B9\u7CBE\u9009 </h4></div><ul class="rightList" data-v-0ef727cf><!--[-->`);
      ssrRenderList(unref(hotNewsList), (item) => {
        _push(`<li data-v-0ef727cf>`);
        _push(ssrRenderComponent(_component_NuxtLink, {
          to: item.linkurl,
          style: item.islink == 1 ? null : { display: "none" },
          title: item.title
        }, {
          default: withCtx((_, _push2, _parent2, _scopeId) => {
            if (_push2) {
              _push2(`<img class="hotNewsImg"${ssrRenderAttr("src", item.imgurl)} data-v-0ef727cf${_scopeId}><p data-v-0ef727cf${_scopeId}>${ssrInterpolate(item.title)}</p>`);
            } else {
              return [
                createVNode("img", {
                  class: "hotNewsImg",
                  src: item.imgurl
                }, null, 8, ["src"]),
                createVNode("p", null, toDisplayString(item.title), 1)
              ];
            }
          }),
          _: 2
        }, _parent));
        if (item.islink == 0) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: `/${item.pinyin}/${item.id}.html`,
            title: item.title
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`<img class="hotNewsImg"${ssrRenderAttr("src", item.imgurl)} data-v-0ef727cf${_scopeId}><p data-v-0ef727cf${_scopeId}>${ssrInterpolate(item.title)}</p>`);
              } else {
                return [
                  createVNode("img", {
                    class: "hotNewsImg",
                    src: item.imgurl
                  }, null, 8, ["src"]),
                  createVNode("p", null, toDisplayString(item.title), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</li>`);
      });
      _push(`<!--]--></ul><!--]-->`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/detail/HotNews2.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const __nuxt_component_5 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-0ef727cf"]]);

export { __nuxt_component_4 as _, __nuxt_component_5 as a };
//# sourceMappingURL=HotNews2-Bn8fJUyd.mjs.map
