import { useSSRContext, mergeProps } from 'vue';
import { ssrRenderAttrs, ssrRenderAttr } from 'vue/server-renderer';

const _sfc_main = {
  __name: "TopTen",
  __ssrInlineRender: true,
  props: {
    imgurl: String
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "topTenTitle" }, _attrs))}>`);
      if (__props.imgurl) {
        _push(`<div class="inner">`);
        if (__props.imgurl.image_url == null) {
          _push(`<a href="http://nzgxw.org.cn/" target="_blank"${ssrRenderAttr("title", __props.imgurl.introduce)}><img${ssrRenderAttr("src", __props.imgurl.thumb)}${ssrRenderAttr("alt", __props.imgurl.introduce)}${ssrRenderAttr("id", __props.imgurl.ad_tag)} data-tag="imgurl.ad_tag"></a>`);
        } else {
          _push(`<a${ssrRenderAttr("href", __props.imgurl.image_url)}${ssrRenderAttr("title", __props.imgurl.introduce)}><img${ssrRenderAttr("src", __props.imgurl.image_src)}${ssrRenderAttr("alt", __props.imgurl.introduce)}${ssrRenderAttr("id", __props.imgurl.ad_tag)} data-tag="imgurl.ad_tag"></a>`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/TopTen.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};

export { _sfc_main as _ };
//# sourceMappingURL=TopTen-DeGWOUBH.mjs.map
