import { r as requestDataPromise, b as __nuxt_component_2 } from './nuxt-link-CT-wIPZG.mjs';
import { useSSRContext, ref, mergeProps, unref, withCtx, createTextVNode, toDisplayString } from 'vue';
import { ssrRenderAttrs, ssrRenderList, ssrRenderComponent, ssrInterpolate, ssrRenderAttr } from 'vue/server-renderer';
import { _ as _export_sfc } from './server.mjs';

const _sfc_main = {
  __name: "foot1",
  __ssrInlineRender: true,
  setup(__props) {
    const bottomLink = ref([]);
    const bottomText = ref([]);
    const bottomphoto = ref([]);
    const bottomMenu = ref([]);
    const bottomBase = ref({});
    const qq1 = ref("");
    const qq2 = ref("");
    async function getModelDataAll() {
      const mkdata = await requestDataPromise("/web/getWebsiteFootAll", {
        method: "GET",
        query: {
          "link_textnum": 8,
          "link_imgnum": 12,
          "link_footnum": 4
        }
      });
      if (mkdata.code == 200) {
        bottomLink.value = mkdata.data.link_img;
        bottomText.value = mkdata.data.link_text;
        bottomphoto.value = mkdata.data.link_foot;
        bottomMenu.value = mkdata.data.foot_cate;
        bottomBase.value = mkdata.data.foot_info;
        qq1.value = bottomBase.value.customer_service_qq.match(/\d+/g);
        qq2.value = bottomBase.value.communications.match(/\d+/g);
      } else {
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
        console.log("\u9519\u8BEF\u4F4D\u7F6E\uFF1A\u83B7\u53D6\u53CB\u60C5\u94FE\u63A5\u56FE\u7247");
        console.log("\u540E\u7AEF\u9519\u8BEF\u53CD\u9988\uFF1A", mkdata.message);
        console.log("SSR waring ---------- SSR waring ---------- SSR waring ---------->");
      }
    }
    getModelDataAll();
    return (_ctx, _push, _parent, _attrs) => {
      var _a, _b, _c, _d, _e, _f, _g, _h;
      const _component_NuxtLink = __nuxt_component_2;
      _push(`<footer${ssrRenderAttrs(mergeProps({ class: "index_foot" }, _attrs))} data-v-4ffa27e4><div class="call_us_box" data-v-4ffa27e4><!--[-->`);
      ssrRenderList(unref(bottomMenu), (item, index) => {
        _push(`<span data-v-4ffa27e4>`);
        if (item.type == 1) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: { path: `/about/${item.name_pinyin}/list-1.html` },
            title: item.name
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        if (item.type == 0) {
          _push(ssrRenderComponent(_component_NuxtLink, {
            to: { path: `/about/${item.name_pinyin}/index.html` },
            title: item.name
          }, {
            default: withCtx((_, _push2, _parent2, _scopeId) => {
              if (_push2) {
                _push2(`${ssrInterpolate(item.name)}`);
              } else {
                return [
                  createTextVNode(toDisplayString(item.name), 1)
                ];
              }
            }),
            _: 2
          }, _parent));
        } else {
          _push(`<!---->`);
        }
        _push(`</span>`);
      });
      _push(`<!--]--></div>`);
      if (unref(bottomBase)) {
        _push(`<div class="foot_text_box" data-v-4ffa27e4><p class="foot_text_html_css" data-v-4ffa27e4>${(_a = unref(bottomBase).statement) != null ? _a : ""}</p><p class="foot_text_html_css" data-v-4ffa27e4>${(_b = unref(bottomBase).organizer) != null ? _b : ""}</p><p class="foot_text_html_css" data-v-4ffa27e4>${(_c = unref(bottomBase).copyright_information) != null ? _c : ""}</p><p data-v-4ffa27e4><span class="foot_text_html_css" data-v-4ffa27e4>${(_d = unref(bottomBase).icp_number) != null ? _d : ""}</span><span class="foot_text_html_css" data-v-4ffa27e4>${(_e = unref(bottomBase).record_number) != null ? _e : ""}</span></p><p class="foot_text_html_css" data-v-4ffa27e4>${(_f = unref(bottomBase).email) != null ? _f : ""}</p><p class="foot_text_html_css" data-v-4ffa27e4>${(_g = unref(bottomBase).company_address) != null ? _g : ""}</p><p class="foot_text_html_css" data-v-4ffa27e4>${(_h = unref(bottomBase).contact_number) != null ? _h : ""}</p></div>`);
      } else {
        _push(`<!---->`);
      }
      if (unref(bottomBase)) {
        _push(`<div class="foot_logo_out" data-v-4ffa27e4>`);
        if (unref(bottomBase).project_logo != "" && unref(bottomBase).project_url != "") {
          _push(`<a${ssrRenderAttr("href", "http://" + unref(bottomBase).project_url)}${ssrRenderAttr("title", unref(bottomBase).project_name)} data-v-4ffa27e4><img${ssrRenderAttr("src", unref(bottomBase).project_logo)} class="floatLogoRight"${ssrRenderAttr("alt", unref(bottomBase).project_name)} data-v-4ffa27e4></a>`);
        } else if (unref(bottomBase).project_logo != "" && unref(bottomBase).project_url == "") {
          _push(`<span data-v-4ffa27e4><img${ssrRenderAttr("src", unref(bottomBase).project_logo)} class="floatLogoRight"${ssrRenderAttr("alt", unref(bottomBase).project_name)} data-v-4ffa27e4></span>`);
        } else {
          _push(`<!---->`);
        }
        if (unref(bottomBase).company_logo != "" && unref(bottomBase).company_url != "") {
          _push(`<a${ssrRenderAttr("href", "http://" + unref(bottomBase).company_url)}${ssrRenderAttr("title", unref(bottomBase).company_name)} data-v-4ffa27e4><img${ssrRenderAttr("src", unref(bottomBase).company_logo)} class="floatLogoLeft"${ssrRenderAttr("alt", unref(bottomBase).company_name)} data-v-4ffa27e4></a>`);
        } else if (unref(bottomBase).company_logo != "" && unref(bottomBase).company_url == "") {
          _push(`<span data-v-4ffa27e4><img${ssrRenderAttr("src", unref(bottomBase).company_logo)} class="floatLogoLeft"${ssrRenderAttr("alt", unref(bottomBase).company_name)} data-v-4ffa27e4></span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div class="foot_last_img_box" data-v-4ffa27e4><!--[-->`);
      ssrRenderList(unref(bottomphoto), (item, index) => {
        _push(`<a${ssrRenderAttr("href", item.url)}${ssrRenderAttr("title", item.title)} data-v-4ffa27e4><img${ssrRenderAttr("src", item.logo_url)}${ssrRenderAttr("alt", item.title)} data-v-4ffa27e4></a>`);
      });
      _push(`<!--]--></div><div class="kefu" data-v-4ffa27e4><div class="kefu_itemKf" data-v-4ffa27e4><a${ssrRenderAttr("href", unref(bottomBase).online_service)} target="_blank" data-v-4ffa27e4><img src="https://img.bjzxtw.org.cn/pre/public/image/online1.png" data-v-4ffa27e4><p data-v-4ffa27e4>\u5728\u7EBF\u5BA2\u670D</p></a></div><div class="kefu_itemQQ" data-v-4ffa27e4><img src="https://img.bjzxtw.org.cn/pre/public/image/qq1.png" data-v-4ffa27e4><p data-v-4ffa27e4>QQ\u5BA2\u670D</p><div class="kefu_item_content_QQ" data-v-4ffa27e4><div class="qqadd" data-v-4ffa27e4><img src="https://img.bjzxtw.org.cn/pre/public/index/tubiao1.png" width="100" data-v-4ffa27e4><div class="qqfs" data-v-4ffa27e4>${ssrInterpolate(unref(bottomBase).customer_service_qq)}</div></div><div class="qqadd" data-v-4ffa27e4><img src="https://img.bjzxtw.org.cn/pre/public/index/tubiao2.png" width="100" data-v-4ffa27e4><div class="qqfs" data-v-4ffa27e4>${ssrInterpolate(unref(bottomBase).communications)}</div></div><div class="arrow" data-v-4ffa27e4></div></div></div><div class="kefu_itemPhone" data-v-4ffa27e4><img src="https://img.bjzxtw.org.cn/pre/public/image/dianhua1.png" data-v-4ffa27e4><p data-v-4ffa27e4>\u7535\u8BDD\u5BA2\u670D</p><div class="kefu_item_content_phone" data-v-4ffa27e4><div class="kefu_item_content_phone_title" data-v-4ffa27e4>\u8054\u7CFB\u7535\u8BDD\uFF1A</div><div data-v-4ffa27e4>${ssrInterpolate(unref(bottomBase).customer_service)}</div><div class="arrow" data-v-4ffa27e4></div></div></div></div></footer>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/foot1.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const __nuxt_component_3 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-4ffa27e4"]]);

export { __nuxt_component_3 as _ };
//# sourceMappingURL=foot1-D3tno6Bd.mjs.map
