import { useSSRContext, mergeProps, unref } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent } from 'vue/server-renderer';
import { ElPagination } from 'element-plus';
import { c as useState } from './nuxt-link-CT-wIPZG.mjs';
import { _ as _export_sfc } from './server.mjs';
import { defineStore } from 'pinia';

const _sfc_main = {
  __name: "Pagination",
  __ssrInlineRender: true,
  props: {
    total: Number
  },
  emits: ["sendData"],
  setup(__props, { emit: __emit }) {
    const emit = __emit;
    let page = useState("page", () => 1);
    const props = __props;
    let change = (value) => {
      console.log("\u5F53\u524D\u9875\u7801", value);
      page.value = value;
      console.log(page.value);
      const data = { value: page.value };
      emit("sendData", data);
    };
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "pagination" }, _attrs))} data-v-e8c53e44>`);
      _push(ssrRenderComponent(unref(ElPagination), {
        size: "small",
        background: "",
        layout: "prev, pager, next",
        total: props.total,
        class: "mt-4",
        "prev-text": "\u4E0A\u4E00\u9875",
        "next-text": "\u4E0B\u4E00\u9875",
        onChange: unref(change)
      }, null, _parent));
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/home/Pagination.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : undefined;
};
const __nuxt_component_1 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-e8c53e44"]]);
const useStatusStore = defineStore("status", {
  state: () => ({
    orderStatus: "",
    adStatus: ""
  }),
  actions: {
    setOrderStatus(orderStatus) {
      this.orderStatus = orderStatus;
      console.log(orderStatus);
    },
    setAdStatus(adStatus) {
      this.adStatus = adStatus;
      console.log(adStatus);
    }
  }
});

export { __nuxt_component_1 as _, useStatusStore as u };
//# sourceMappingURL=status-7pCaWEWq.mjs.map
